Package org.eclipse.net4j.util.factory

# Class ProductCreationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.factory.ProductCreationException

All Implemented Interfaces:
  `Serializable`

public class ProductCreationException extends RuntimeException
An unchecked exception that may be thrown from `factories` to indicate the inability to create a product.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ProductCreationException()`
`ProductCreationException(String message)`
`ProductCreationException(String message, Throwable cause)`
`ProductCreationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProductCreationException

public ProductCreationException()

### ProductCreationException

public ProductCreationException(String message)

### ProductCreationException

public ProductCreationException(Throwable cause)

### ProductCreationException

public ProductCreationException(String message, Throwable cause)